ZenLib::Ztring Class Reference

String manipulation (based on std::(w)string). More...

`#include <Ztring.h>`

Inheritance diagram for ZenLib::Ztring:

## Public Member Functions

| Ztring ()
| Ztring (const tstring &str)
| Ztring (const tstring &str, size_type pos, size_type n=npos)
| Ztring (const Char *s, size_type n)
| Ztring (const Char *s)
| Ztring (size_type n, Char c)
Char & | operator() (size_type Pos)
| Same as [], but resize the string if Pos doesn't exist yet.
bool | Assign_FromFile (const Ztring &FileName)
Ztring & | From_Unicode (const std::wstring &S)
| convert an Unicode encoded string into Ztring
Ztring & | From_Unicode (const wchar_t S)
| convert an Unicode encoded wchar_t into Ztring
Ztring & | From_Unicode (const wchar_t *S)
| convert an Unicode encoded string into Ztring
Ztring & | From_Unicode (const wchar_t *S, size_type Start, size_type Length)
| convert an Unicode encoded string into Ztring
Ztring & | From_Unicode (const wchar_t *S, size_type Length)
| convert an Unicode encoded string into Ztring
Ztring & | From_UTF8 (const std::string &S)
| convert an UTF-8 encoded string into Ztring
Ztring & | From_UTF8 (const char *S)
| convert an UTF-8 encoded string into Ztring
Ztring & | From_UTF8 (const char *S, size_type Start, size_type Length)
| convert an UTF-8 encoded string into Ztring
Ztring & | From_UTF8 (const char *S, size_type Length)
| convert an UTF-8 encoded string into Ztring
Ztring & | From_UTF16 (const char *S)
| convert an UTF-16 encoded string into Ztring
Ztring & | From_UTF16 (const char *S, size_type Start, size_type Length)
| convert an UTF-16 encoded string into Ztring
Ztring & | From_UTF16 (const char *S, size_type Length)
| convert an UTF-16 encoded string into Ztring
Ztring & | From_UTF16BE (const char *S)
| convert an UTF-16BE encoded string into Ztring
Ztring & | From_UTF16BE (const char *S, size_type Start, size_type Length)
| convert an UTF-16BE encoded string into Ztring
Ztring & | From_UTF16BE (const char *S, size_type Length)
| convert an UTF-16BE encoded string into Ztring
Ztring & | From_UTF16LE (const char *S)
| convert an UTF-16LE encoded string into Ztring
Ztring & | From_UTF16LE (const char *S, size_type Start, size_type Length)
| convert an UTF-16LE encoded string into Ztring
Ztring & | From_UTF16LE (const char *S, size_type Length)
| convert an UTF-16LE encoded string into Ztring
Ztring & | From_Local (const std::string &S)
| convert an Locael encoded string into Ztring
Ztring & | From_Local (const char *S)
| convert an Local encoded string into Ztring
Ztring & | From_Local (const char *S, size_type Start, size_type Length)
| convert an Local encoded string into Ztring
Ztring & | From_Local (const char *S, size_type Length)
| convert an Local encoded string into Ztring
Ztring & | From_ISO_8859_1 (const char *S)
| convert an ISO-8859-1 encoded string into Ztring
Ztring & | From_ISO_8859_1 (const char *S, size_type Start, size_type Length)
| convert an ISO-8859-1 encoded string into Ztring
Ztring & | From_ISO_8859_1 (const char *S, size_type Length)
| convert an ISO-8859-1 encoded string into Ztring
Ztring & | From_ISO_8859_2 (const char *S)
| convert an ISO-8859-2 encoded string into Ztring
Ztring & | From_ISO_8859_2 (const char *S, size_type Start, size_type Length)
| convert an ISO-8859-1 encoded string into Ztring
Ztring & | From_ISO_8859_2 (const char *S, size_type Length)
| convert an ISO-8859-1 encoded string into Ztring
Ztring & | From_GUID (const int128u S)
| convert an 16 byte GUID into Ztring
Ztring & | From_UUID (const int128u S)
| convert an 16 byte UUID into Ztring
Ztring & | From_CC4 (const char *S)
| convert an 4 Character Code into Ztring
Ztring & | From_CC4 (const int8u *S)
| convert an 4 Character Code into Ztring
Ztring & | From_CC4 (const int32u S)
| convert an 4 Character Code into Ztring
Ztring & | From_CC3 (const char *S)
| convert an 2 Character Code into Ztring
Ztring & | From_CC3 (const int8u *S)
| convert an 4 Character Code into Ztring
Ztring & | From_CC3 (const int32u S)
| convert an 4 Character Code into Ztring
Ztring & | From_CC2 (const char *S)
| convert an 2 Character Code into Ztring
Ztring & | From_CC2 (const int8u *S)
| convert an 2 Character Code into Ztring
Ztring & | From_CC2 (const int16u S)
| convert an 2 Character Code into Ztring
Ztring & | From_CC1 (const char *S)
| convert an 1 Character Code into Ztring
Ztring & | From_CC1 (const int8u *S)
| convert an 1 Character Code into Ztring
Ztring & | From_CC1 (const int8u S)
| convert an 1 Character Code into Ztring
Ztring & | From_Number (const int8s, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int8u, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int16s, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int16u, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int32s, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int32u, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int64s, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int64u, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const int128u, int8u Radix=10)
| convert number into Ztring
Ztring & | From_Number (const float32, int8u AfterComma=3, ztring_t Options=Ztring_Nothing)
| convert number into Ztring
Ztring & | From_Number (const float64, int8u AfterComma=3, ztring_t Options=Ztring_Nothing)
| convert number into Ztring
Ztring & | From_Number (const float80, int8u AfterComma=3, ztring_t Options=Ztring_Nothing)
| convert number into Ztring
Ztring & | From_BCD (const int8u)
| convert number (BCD coded) into Ztring
Ztring & | Duration_From_Milliseconds (const int64s Milliseconds)
| convert count of milliseconds into a readable and sortable string
Ztring & | Duration_From_Milliseconds (const int64u Milliseconds)
Ztring & | Date_From_Milliseconds_1601 (const int64u Milliseconds)
| convert count of seconds since 1601 into a readable and sortable string
Ztring & | Date_From_Seconds_1601 (const int64u Seconds)
| convert count of seconds since 1601 into a readable and sortable string
Ztring & | Date_From_Seconds_1900 (const int32u Seconds)
| convert count of seconds since 1900 into a readable and sortable string
Ztring & | Date_From_Seconds_1900 (const int64s Seconds)
| convert count of seconds since 1900 into a readable and sortable string
Ztring & | Date_From_Seconds_1904 (const int32u Seconds)
| convert count of seconds since 1904 into a readable and sortable string
Ztring & | Date_From_Seconds_1904 (const int64u Seconds)
| convert count of seconds since 1904 into a readable and sortable string
Ztring & | Date_From_Seconds_1904 (const int64s Seconds)
| convert count of seconds since 1904 into a readable and sortable string
Ztring & | Date_From_Seconds_1970 (const int32u Seconds)
| convert count of seconds since 1970 into a readable and sortable string
Ztring & | Date_From_Seconds_1970 (const int32s Seconds)
| convert count of seconds since 1970 into a readable and sortable string
Ztring & | Date_From_Seconds_1970 (const int64s Seconds)
| convert count of seconds since 1970 into a readable and sortable string
Ztring & | Date_From_Seconds_1970_Local (const int32u Seconds)
| convert count of seconds since 1970 into a readable and sortable string (in local time)
Ztring & | Date_From_String (const char *Date, size_type Value_Size=Error)
| convert a free formated string into a readable and sortable string
Ztring & | Date_From_Numbers (const int8u Year, const int8u Month, const int8u Day, const int8u Hour, const int8u Minute, const int8u Second)
| convert numbers into a readable and sortable string
std::wstring | To_Unicode () const
| Convert into Unicode chars.
std::string | To_UTF8 () const
| Convert into char* (UTF-8 encoded).
std::string | To_Local () const
| Convert into char* (Local encoded).
int128u | To_UUID () const
| Convert into 16 byte UUID number.
int32u | To_CC4 () const
| Convert into a 4 Character Code.
int8s | To_int8s (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into Int (8 bits).
int8u | To_int8u (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into unsigned Int (8 bits).
int16s | To_int16s (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into Int (16 bits).
int16u | To_int16u (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into unsigned Int (16 bits).
int32s | To_int32s (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into Int (32 bits).
int32u | To_int32u (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into unsigned Int (32 bits).
int64s | To_int64s (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into Int (64 bits).
int64u | To_int64u (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into unsigned Int (64 bits).
int128u | To_int128u (int8u Radix=10, ztring_t Options=Ztring_Rounded) const
| Convert into unsigned Int (64 bits).
float32 | To_float32 (ztring_t Options=Ztring_Nothing) const
| Convert into float.
float64 | To_float64 (ztring_t Options=Ztring_Nothing) const
float80 | To_float80 (ztring_t Options=Ztring_Nothing) const
bool | IsNumber () const
| test if it is a number
Ztring & | MakeLowerCase ()
| convert into lowercase
Ztring & | MakeUpperCase ()
| convert into uppercase
Ztring & | TrimLeft (Char ToTrim=__T(' '))
| Remove leading whitespaces from a string.
Ztring & | TrimRight (Char ToTrim=__T(' '))
| Remove trailing whitespaces from a string.
Ztring & | Trim (Char ToTrim=__T(' '))
| Remove leading and trailing whitespaces from a string.
Ztring & | Quote (Char ToTrim=__T('\"'))
| Quotes a string.
Ztring | SubString (const tstring &Begin, const tstring &End, size_type Pos=0, ztring_t Options=Ztring_Nothing) const
| return a string between two strings
size_type | FindAndReplace (const tstring &ToFind, const tstring &ReplaceBy, size_type Pos=0, ztring_t Options=Ztring_Nothing)
| replace a string by another one
size_type | Count (const Ztring &ToCount, ztring_t Options=Ztring_Nothing) const
| Count the number of occurencies of a string in the string.
bool | Compare (const Ztring &ToCompare, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing) const
| compare with another string

## Static Public Member Functions

static Ztring | ToZtring_From_Local (const std::string &S)
static Ztring | ToZtring_From_Local (const char *S)
static Ztring | ToZtring_From_Local (const char *S, size_type Start, size_type Length)
static Ztring | ToZtring_From_Local (const char *S, size_type Length)
static Ztring | ToZtring_From_CC4 (const char *S)
static Ztring | ToZtring_From_CC4 (const int8u *S)
static Ztring | ToZtring_From_CC4 (const int32u S)
static Ztring | ToZtring_From_CC3 (const char *S)
static Ztring | ToZtring_From_CC3 (const int8u *S)
static Ztring | ToZtring_From_CC3 (const int32u S)
static Ztring | ToZtring_From_CC2 (const char *S)
static Ztring | ToZtring_From_CC2 (const int8u *S)
static Ztring | ToZtring_From_CC2 (const int16u S)
static Ztring | ToZtring_From_CC1 (const char *S)
static Ztring | ToZtring_From_CC1 (const int8u *S)
static Ztring | ToZtring_From_CC1 (const int8u S)
static Ztring | ToZtring (const int8s I, int8u Radix=10)
static Ztring | ToZtring (const int8u I, int8u Radix=10)
static Ztring | ToZtring (const int16s I, int8u Radix=10)
static Ztring | ToZtring (const int16u I, int8u Radix=10)
static Ztring | ToZtring (const int32s I, int8u Radix=10)
static Ztring | ToZtring (const int32u I, int8u Radix=10)
static Ztring | ToZtring (const int64s I, int8u Radix=10)
static Ztring | ToZtring (const int64u I, int8u Radix=10)
static Ztring | ToZtring (const int128u I, int8u Radix=10)
static Ztring | ToZtring (const float32 F, int8u AfterComma=3)
static Ztring | ToZtring (const float64 F, int8u AfterComma=3)
static Ztring | ToZtring (const float80 F, int8u AfterComma=3)

## Detailed Description

String manipulation (based on std::(w)string).

## Constructor & Destructor Documentation

## Ztring() [1/6]

ZenLib::Ztring::Ztring | ( |  | ) |

inline

Referenced by Assign_FromFile(), Compare(), Count(), Date_From_Milliseconds_1601(), Date_From_Numbers(), Date_From_Seconds_1601(), Date_From_Seconds_1900(), Date_From_Seconds_1900(), Date_From_Seconds_1904(), Date_From_Seconds_1904(), Date_From_Seconds_1904(), Date_From_Seconds_1970(), Date_From_Seconds_1970(), Date_From_Seconds_1970(), Date_From_Seconds_1970_Local(), Date_From_String(), Duration_From_Milliseconds(), Duration_From_Milliseconds(), ZenLib::FileName::Extension_Get(), ZenLib::FileName::Extension_Set(), ZenLib::FileName::FileName(), ZenLib::FileName::FileName(), ZenLib::FileName::FileName(), ZenLib::FileName::FileName(), ZenLib::FileName::FileName(), ZenLib::FileName::FileName(), From_CC1(), From_CC1(), From_CC1(), From_CC2(), From_CC2(), From_CC2(), From_CC3(), From_CC3(), From_CC3(), From_CC4(), From_CC4(), From_CC4(), From_GUID(), From_ISO_8859_1(), From_ISO_8859_1(), From_ISO_8859_1(), From_ISO_8859_2(), From_ISO_8859_2(), From_ISO_8859_2(), From_Local(), From_Local(), From_Local(), From_Local(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Number(), From_Unicode(), From_Unicode(), From_Unicode(), From_Unicode(), From_UTF16(), From_UTF16(), From_UTF16(), From_UTF16BE(), From_UTF16BE(), From_UTF16BE(), From_UTF16LE(), From_UTF16LE(), From_UTF16LE(), From_UTF8(), From_UTF8(), From_UTF8(), From_UTF8(), From_UUID(), MakeLowerCase(), MakeUpperCase(), ZenLib::FileName::Name_Get(), ZenLib::FileName::Name_Set(), ZenLib::FileName::Path_Get(), ZenLib::FileName::Path_Set(), Quote(), SubString(), ZenLib::FileName::TempFileName_Create(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring_From_CC1(), ToZtring_From_CC1(), ToZtring_From_CC1(), ToZtring_From_CC2(), ToZtring_From_CC2(), ToZtring_From_CC2(), ToZtring_From_CC3(), ToZtring_From_CC3(), ToZtring_From_CC3(), ToZtring_From_CC4(), ToZtring_From_CC4(), ToZtring_From_CC4(), ToZtring_From_Local(), ToZtring_From_Local(), ToZtring_From_Local(), ToZtring_From_Local(), Trim(), TrimLeft(), and TrimRight().

## Ztring() [2/6]

ZenLib::Ztring::Ztring | ( | const tstring & | str | ) |

inline

## Ztring() [3/6]

ZenLib::Ztring::Ztring | ( | const tstring & | str,
|  | size_type | pos,
|  | size_type | n = npos )

inline

## Ztring() [4/6]

ZenLib::Ztring::Ztring | ( | const Char * | s,
|  | size_type | n )

inline

## Ztring() [5/6]

ZenLib::Ztring::Ztring | ( | const Char * | s | ) |

inline

## Ztring() [6/6]

ZenLib::Ztring::Ztring | ( | size_type | n,
|  | Char | c )

inline

## Member Function Documentation

## Assign_FromFile()

bool ZenLib::Ztring::Assign_FromFile | ( | const Ztring & | FileName | ) |

References Ztring().

## Compare()

bool ZenLib::Ztring::Compare | ( | const Ztring & | ToCompare,
|  | const Ztring & | Comparator = __T("=="),
|  | ztring_t | Options = Ztring_Nothing ) const

compare with another string

Parameters

  ToCompare | string to compare with
  Options | Options for comaparing Available : Ztring_CaseSensitive

Returns
  The result of comparasion

References Ztring(), and ZenLib::Ztring_Nothing.

## Count()

size_type ZenLib::Ztring::Count | ( | const Ztring & | ToCount,
|  | ztring_t | Options = Ztring_Nothing ) const

Count the number of occurencies of a string in the string.

Parameters

  ToCount | string to count
  Options | Options for count Available : Ztring_CaseSensitive

Returns
  the count

References Ztring(), and ZenLib::Ztring_Nothing.

## Date_From_Milliseconds_1601()

Ztring & ZenLib::Ztring::Date_From_Milliseconds_1601 | ( | const int64u | Milliseconds | ) |

convert count of seconds since 1601 into a readable and sortable string

References Ztring().

## Date_From_Numbers()

Ztring & ZenLib::Ztring::Date_From_Numbers | ( | const int8u | Year,
|  | const int8u | Month,
|  | const int8u | Day,
|  | const int8u | Hour,
|  | const int8u | Minute,
|  | const int8u | Second )

convert numbers into a readable and sortable string

References Ztring().

## Date_From_Seconds_1601()

Ztring & ZenLib::Ztring::Date_From_Seconds_1601 | ( | const int64u | Seconds | ) |

convert count of seconds since 1601 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1900() [1/2]

Ztring & ZenLib::Ztring::Date_From_Seconds_1900 | ( | const int32u | Seconds | ) |

convert count of seconds since 1900 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1900() [2/2]

Ztring & ZenLib::Ztring::Date_From_Seconds_1900 | ( | const int64s | Seconds | ) |

convert count of seconds since 1900 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1904() [1/3]

Ztring & ZenLib::Ztring::Date_From_Seconds_1904 | ( | const int32u | Seconds | ) |

convert count of seconds since 1904 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1904() [2/3]

Ztring & ZenLib::Ztring::Date_From_Seconds_1904 | ( | const int64s | Seconds | ) |

convert count of seconds since 1904 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1904() [3/3]

Ztring & ZenLib::Ztring::Date_From_Seconds_1904 | ( | const int64u | Seconds | ) |

convert count of seconds since 1904 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1970() [1/3]

Ztring & ZenLib::Ztring::Date_From_Seconds_1970 | ( | const int32s | Seconds | ) |

convert count of seconds since 1970 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1970() [2/3]

Ztring & ZenLib::Ztring::Date_From_Seconds_1970 | ( | const int32u | Seconds | ) |

convert count of seconds since 1970 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1970() [3/3]

Ztring & ZenLib::Ztring::Date_From_Seconds_1970 | ( | const int64s | Seconds | ) |

convert count of seconds since 1970 into a readable and sortable string

References Ztring().

## Date_From_Seconds_1970_Local()

Ztring & ZenLib::Ztring::Date_From_Seconds_1970_Local | ( | const int32u | Seconds | ) |

convert count of seconds since 1970 into a readable and sortable string (in local time)

References Ztring().

## Date_From_String()

Ztring & ZenLib::Ztring::Date_From_String | ( | const char * | Date,
|  | size_type | Value_Size = Error )

convert a free formated string into a readable and sortable string

References ZenLib::Error, and Ztring().

## Duration_From_Milliseconds() [1/2]

Ztring & ZenLib::Ztring::Duration_From_Milliseconds | ( | const int64s | Milliseconds | ) |

convert count of milliseconds into a readable and sortable string

References Ztring().

## Duration_From_Milliseconds() [2/2]

Ztring & ZenLib::Ztring::Duration_From_Milliseconds | ( | const int64u | Milliseconds | ) |

Deprecated
  replaced by the int64s version

References Ztring().

## FindAndReplace()

size_type ZenLib::Ztring::FindAndReplace | ( | const tstring & | ToFind,
|  | const tstring & | ReplaceBy,
|  | size_type | Pos = 0,
|  | ztring_t | Options = Ztring_Nothing )

replace a string by another one

Parameters

  ToFind | string to find
  ReplaceBy | string wich replace the string found
  Pos | Position to begin to scan string
  Options | Options for searching Available : Ztring_CaseSensitive, Ztring_Recursive

Returns
  The count of replacements

References ZenLib::Ztring_Nothing.

## From_BCD()

Ztring & ZenLib::Ztring::From_BCD | ( | const int8u |  | ) |

convert number (BCD coded) into Ztring

## From_CC1() [1/3]

Ztring & ZenLib::Ztring::From_CC1 | ( | const char * | S | ) |

inline

convert an 1 Character Code into Ztring

References ZenLib::CC1(), From_CC1(), and Ztring().

Referenced by From_CC1(), ToZtring_From_CC1(), ToZtring_From_CC1(), and ToZtring_From_CC1().

## From_CC1() [2/3]

Ztring & ZenLib::Ztring::From_CC1 | ( | const int8u * | S | ) |

inline

convert an 1 Character Code into Ztring

References ZenLib::CC1(), From_CC1(), and Ztring().

Referenced by From_CC1().

## From_CC1() [3/3]

Ztring & ZenLib::Ztring::From_CC1 | ( | const int8u | S | ) |

convert an 1 Character Code into Ztring

References Ztring().

## From_CC2() [1/3]

Ztring & ZenLib::Ztring::From_CC2 | ( | const char * | S | ) |

inline

convert an 2 Character Code into Ztring

References ZenLib::CC2(), From_CC2(), and Ztring().

Referenced by From_CC2(), ToZtring_From_CC2(), ToZtring_From_CC2(), and ToZtring_From_CC2().

## From_CC2() [2/3]

Ztring & ZenLib::Ztring::From_CC2 | ( | const int16u | S | ) |

convert an 2 Character Code into Ztring

References Ztring().

## From_CC2() [3/3]

Ztring & ZenLib::Ztring::From_CC2 | ( | const int8u * | S | ) |

inline

convert an 2 Character Code into Ztring

References ZenLib::CC2(), From_CC2(), and Ztring().

Referenced by From_CC2().

## From_CC3() [1/3]

Ztring & ZenLib::Ztring::From_CC3 | ( | const char * | S | ) |

inline

convert an 2 Character Code into Ztring

References From_Local(), and Ztring().

Referenced by ToZtring_From_CC3(), ToZtring_From_CC3(), and ToZtring_From_CC3().

## From_CC3() [2/3]

Ztring & ZenLib::Ztring::From_CC3 | ( | const int32u | S | ) |

convert an 4 Character Code into Ztring

References Ztring().

## From_CC3() [3/3]

Ztring & ZenLib::Ztring::From_CC3 | ( | const int8u * | S | ) |

inline

convert an 4 Character Code into Ztring

References From_Local(), and Ztring().

## From_CC4() [1/3]

Ztring & ZenLib::Ztring::From_CC4 | ( | const char * | S | ) |

inline

convert an 4 Character Code into Ztring

References From_Local(), and Ztring().

Referenced by ToZtring_From_CC4(), ToZtring_From_CC4(), and ToZtring_From_CC4().

## From_CC4() [2/3]

Ztring & ZenLib::Ztring::From_CC4 | ( | const int32u | S | ) |

convert an 4 Character Code into Ztring

References Ztring().

## From_CC4() [3/3]

Ztring & ZenLib::Ztring::From_CC4 | ( | const int8u * | S | ) |

inline

convert an 4 Character Code into Ztring

References From_Local(), and Ztring().

## From_GUID()

Ztring & ZenLib::Ztring::From_GUID | ( | const int128u | S | ) |

convert an 16 byte GUID into Ztring

References Ztring().

## From_ISO_8859_1() [1/3]

Ztring & ZenLib::Ztring::From_ISO_8859_1 | ( | const char * | S | ) |

convert an ISO-8859-1 encoded string into Ztring

References Ztring().

## From_ISO_8859_1() [2/3]

Ztring & ZenLib::Ztring::From_ISO_8859_1 | ( | const char * | S,
|  | size_type | Length )

inline

convert an ISO-8859-1 encoded string into Ztring

References From_ISO_8859_1(), and Ztring().

Referenced by From_ISO_8859_1().

## From_ISO_8859_1() [3/3]

Ztring & ZenLib::Ztring::From_ISO_8859_1 | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an ISO-8859-1 encoded string into Ztring

References Ztring().

## From_ISO_8859_2() [1/3]

Ztring & ZenLib::Ztring::From_ISO_8859_2 | ( | const char * | S | ) |

convert an ISO-8859-2 encoded string into Ztring

References Ztring().

## From_ISO_8859_2() [2/3]

Ztring & ZenLib::Ztring::From_ISO_8859_2 | ( | const char * | S,
|  | size_type | Length )

inline

convert an ISO-8859-1 encoded string into Ztring

References From_ISO_8859_2(), and Ztring().

Referenced by From_ISO_8859_2().

## From_ISO_8859_2() [3/3]

Ztring & ZenLib::Ztring::From_ISO_8859_2 | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an ISO-8859-1 encoded string into Ztring

References Ztring().

## From_Local() [1/4]

Ztring & ZenLib::Ztring::From_Local | ( | const char * | S | ) |

convert an Local encoded string into Ztring

References Ztring().

## From_Local() [2/4]

Ztring & ZenLib::Ztring::From_Local | ( | const char * | S,
|  | size_type | Length )

inline

convert an Local encoded string into Ztring

References From_Local(), and Ztring().

Referenced by From_Local().

## From_Local() [3/4]

Ztring & ZenLib::Ztring::From_Local | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an Local encoded string into Ztring

References Ztring().

## From_Local() [4/4]

Ztring & ZenLib::Ztring::From_Local | ( | const std::string & | S | ) |

inline

convert an Locael encoded string into Ztring

References From_Local(), and Ztring().

Referenced by From_CC3(), From_CC3(), From_CC4(), From_CC4(), From_Local(), ToZtring_From_Local(), ToZtring_From_Local(), ToZtring_From_Local(), and ToZtring_From_Local().

## From_Number() [1/12]

Ztring & ZenLib::Ztring::From_Number | ( | const float32 | ,
|  | int8u | AfterComma = 3,
|  | ztring_t | Options = Ztring_Nothing )

convert number into Ztring

References Ztring(), and ZenLib::Ztring_Nothing.

## From_Number() [2/12]

Ztring & ZenLib::Ztring::From_Number | ( | const float64 | ,
|  | int8u | AfterComma = 3,
|  | ztring_t | Options = Ztring_Nothing )

convert number into Ztring

References Ztring(), and ZenLib::Ztring_Nothing.

## From_Number() [3/12]

Ztring & ZenLib::Ztring::From_Number | ( | const float80 | ,
|  | int8u | AfterComma = 3,
|  | ztring_t | Options = Ztring_Nothing )

convert number into Ztring

References Ztring(), and ZenLib::Ztring_Nothing.

## From_Number() [4/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int128u | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [5/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int16s | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [6/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int16u | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [7/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int32s | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [8/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int32u | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [9/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int64s | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [10/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int64u | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Number() [11/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int8s | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

Referenced by ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), ToZtring(), and ToZtring().

## From_Number() [12/12]

Ztring & ZenLib::Ztring::From_Number | ( | const int8u | ,
|  | int8u | Radix = 10 )

convert number into Ztring

References Ztring().

## From_Unicode() [1/5]

Ztring & ZenLib::Ztring::From_Unicode | ( | const std::wstring & | S | ) |

inline

convert an Unicode encoded string into Ztring

References From_Unicode(), and Ztring().

Referenced by From_Unicode().

## From_Unicode() [2/5]

Ztring & ZenLib::Ztring::From_Unicode | ( | const wchar_t * | S | ) |

convert an Unicode encoded string into Ztring

References Ztring().

## From_Unicode() [3/5]

Ztring & ZenLib::Ztring::From_Unicode | ( | const wchar_t * | S,
|  | size_type | Length )

inline

convert an Unicode encoded string into Ztring

References From_Unicode(), and Ztring().

Referenced by From_Unicode().

## From_Unicode() [4/5]

Ztring & ZenLib::Ztring::From_Unicode | ( | const wchar_t * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an Unicode encoded string into Ztring

References Ztring().

## From_Unicode() [5/5]

Ztring & ZenLib::Ztring::From_Unicode | ( | const wchar_t | S | ) |

convert an Unicode encoded wchar_t into Ztring

## From_UTF16() [1/3]

Ztring & ZenLib::Ztring::From_UTF16 | ( | const char * | S | ) |

convert an UTF-16 encoded string into Ztring

References Ztring().

## From_UTF16() [2/3]

Ztring & ZenLib::Ztring::From_UTF16 | ( | const char * | S,
|  | size_type | Length )

inline

convert an UTF-16 encoded string into Ztring

References From_UTF16(), and Ztring().

Referenced by From_UTF16().

## From_UTF16() [3/3]

Ztring & ZenLib::Ztring::From_UTF16 | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an UTF-16 encoded string into Ztring

References Ztring().

## From_UTF16BE() [1/3]

Ztring & ZenLib::Ztring::From_UTF16BE | ( | const char * | S | ) |

convert an UTF-16BE encoded string into Ztring

References Ztring().

## From_UTF16BE() [2/3]

Ztring & ZenLib::Ztring::From_UTF16BE | ( | const char * | S,
|  | size_type | Length )

inline

convert an UTF-16BE encoded string into Ztring

References From_UTF16BE(), and Ztring().

Referenced by From_UTF16BE().

## From_UTF16BE() [3/3]

Ztring & ZenLib::Ztring::From_UTF16BE | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an UTF-16BE encoded string into Ztring

References Ztring().

## From_UTF16LE() [1/3]

Ztring & ZenLib::Ztring::From_UTF16LE | ( | const char * | S | ) |

convert an UTF-16LE encoded string into Ztring

References Ztring().

## From_UTF16LE() [2/3]

Ztring & ZenLib::Ztring::From_UTF16LE | ( | const char * | S,
|  | size_type | Length )

inline

convert an UTF-16LE encoded string into Ztring

References From_UTF16LE(), and Ztring().

Referenced by From_UTF16LE().

## From_UTF16LE() [3/3]

Ztring & ZenLib::Ztring::From_UTF16LE | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an UTF-16LE encoded string into Ztring

References Ztring().

## From_UTF8() [1/4]

Ztring & ZenLib::Ztring::From_UTF8 | ( | const char * | S | ) |

convert an UTF-8 encoded string into Ztring

References Ztring().

## From_UTF8() [2/4]

Ztring & ZenLib::Ztring::From_UTF8 | ( | const char * | S,
|  | size_type | Length )

inline

convert an UTF-8 encoded string into Ztring

References From_UTF8(), and Ztring().

Referenced by From_UTF8().

## From_UTF8() [3/4]

Ztring & ZenLib::Ztring::From_UTF8 | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

convert an UTF-8 encoded string into Ztring

References Ztring().

## From_UTF8() [4/4]

Ztring & ZenLib::Ztring::From_UTF8 | ( | const std::string & | S | ) |

inline

convert an UTF-8 encoded string into Ztring

References From_UTF8(), and Ztring().

Referenced by From_UTF8().

## From_UUID()

Ztring & ZenLib::Ztring::From_UUID | ( | const int128u | S | ) |

convert an 16 byte UUID into Ztring

References Ztring().

## IsNumber()

bool ZenLib::Ztring::IsNumber | ( |  | ) | const

test if it is a number

## MakeLowerCase()

Ztring & ZenLib::Ztring::MakeLowerCase | ( |  | ) |

convert into lowercase

References Ztring().

## MakeUpperCase()

Ztring & ZenLib::Ztring::MakeUpperCase | ( |  | ) |

convert into uppercase

References Ztring().

## operator()()

Char & ZenLib::Ztring::operator() | ( | size_type | Pos | ) |

Same as [], but resize the string if Pos doesn't exist yet.

## Quote()

Ztring & ZenLib::Ztring::Quote | ( | Char | ToTrim = __T('\"') | ) |

Quotes a string.

References Ztring().

## SubString()

Ztring ZenLib::Ztring::SubString | ( | const tstring & | Begin,
|  | const tstring & | End,
|  | size_type | Pos = 0,
|  | ztring_t | Options = Ztring_Nothing ) const

return a string between two strings

Parameters

  Begin | First string
  End | Second string
  Pos | Position to begin to scan string
  Options | Options for searching Available : Ztring_CaseSensitive

Returns
  The substring
  "" if not found

References Ztring(), and ZenLib::Ztring_Nothing.

## To_CC4()

int32u ZenLib::Ztring::To_CC4 | ( |  | ) | const

Convert into a 4 Character Code.

Returns
  the value corresponding
  0 if there is a problem

## To_float32()

float32 ZenLib::Ztring::To_float32 | ( | ztring_t | Options = Ztring_Nothing | ) | const

Convert into float.

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Nothing.

## To_float64()

float64 ZenLib::Ztring::To_float64 | ( | ztring_t | Options = Ztring_Nothing | ) | const

References ZenLib::Ztring_Nothing.

## To_float80()

float80 ZenLib::Ztring::To_float80 | ( | ztring_t | Options = Ztring_Nothing | ) | const

References ZenLib::Ztring_Nothing.

## To_int128u()

int128u ZenLib::Ztring::To_int128u | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into unsigned Int (64 bits).

Warning
  only hexadecimal and no rounding are currenlty supported

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int16s()

int16s ZenLib::Ztring::To_int16s | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into Int (16 bits).

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int16u()

int16u ZenLib::Ztring::To_int16u | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into unsigned Int (16 bits).

Returns
  the value corresponding 0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int32s()

int32s ZenLib::Ztring::To_int32s | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into Int (32 bits).

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int32u()

int32u ZenLib::Ztring::To_int32u | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into unsigned Int (32 bits).

Returns
  the value corresponding 0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int64s()

int64s ZenLib::Ztring::To_int64s | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into Int (64 bits).

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int64u()

int64u ZenLib::Ztring::To_int64u | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into unsigned Int (64 bits).

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int8s()

int8s ZenLib::Ztring::To_int8s | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into Int (8 bits).

Returns
  the value corresponding
  0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_int8u()

int8u ZenLib::Ztring::To_int8u | ( | int8u | Radix = 10,
|  | ztring_t | Options = Ztring_Rounded ) const

Convert into unsigned Int (8 bits).

Returns
  the value corresponding 0 if there is a problem

References ZenLib::Ztring_Rounded.

## To_Local()

std::string ZenLib::Ztring::To_Local | ( |  | ) | const

Convert into char* (Local encoded).

Returns
  the string corresponding

## To_Unicode()

std::wstring ZenLib::Ztring::To_Unicode | ( |  | ) | const

Convert into Unicode chars.

Returns
  the string corresponding

## To_UTF8()

std::string ZenLib::Ztring::To_UTF8 | ( |  | ) | const

Convert into char* (UTF-8 encoded).

Returns
  the string corresponding

## To_UUID()

int128u ZenLib::Ztring::To_UUID | ( |  | ) | const

Convert into 16 byte UUID number.

Returns
  the value corresponding
  0 if there is a problem

## ToZtring() [1/12]

Ztring ZenLib::Ztring::ToZtring | ( | const float32 | F,
|  | int8u | AfterComma = 3 )

inline static

References From_Number(), and Ztring().

## ToZtring() [2/12]

Ztring ZenLib::Ztring::ToZtring | ( | const float64 | F,
|  | int8u | AfterComma = 3 )

inline static

References From_Number(), and Ztring().

## ToZtring() [3/12]

Ztring ZenLib::Ztring::ToZtring | ( | const float80 | F,
|  | int8u | AfterComma = 3 )

inline static

References From_Number(), and Ztring().

## ToZtring() [4/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int128u | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [5/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int16s | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [6/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int16u | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [7/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int32s | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [8/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int32u | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [9/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int64s | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [10/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int64u | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [11/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int8s | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring() [12/12]

Ztring ZenLib::Ztring::ToZtring | ( | const int8u | I,
|  | int8u | Radix = 10 )

inline static

References From_Number(), and Ztring().

## ToZtring_From_CC1() [1/3]

Ztring ZenLib::Ztring::ToZtring_From_CC1 | ( | const char * | S | ) |

inline static

References From_CC1(), and Ztring().

## ToZtring_From_CC1() [2/3]

Ztring ZenLib::Ztring::ToZtring_From_CC1 | ( | const int8u * | S | ) |

inline static

References From_CC1(), and Ztring().

## ToZtring_From_CC1() [3/3]

Ztring ZenLib::Ztring::ToZtring_From_CC1 | ( | const int8u | S | ) |

inline static

References From_CC1(), and Ztring().

## ToZtring_From_CC2() [1/3]

Ztring ZenLib::Ztring::ToZtring_From_CC2 | ( | const char * | S | ) |

inline static

References From_CC2(), and Ztring().

## ToZtring_From_CC2() [2/3]

Ztring ZenLib::Ztring::ToZtring_From_CC2 | ( | const int16u | S | ) |

inline static

References From_CC2(), and Ztring().

## ToZtring_From_CC2() [3/3]

Ztring ZenLib::Ztring::ToZtring_From_CC2 | ( | const int8u * | S | ) |

inline static

References From_CC2(), and Ztring().

## ToZtring_From_CC3() [1/3]

Ztring ZenLib::Ztring::ToZtring_From_CC3 | ( | const char * | S | ) |

inline static

References From_CC3(), and Ztring().

## ToZtring_From_CC3() [2/3]

Ztring ZenLib::Ztring::ToZtring_From_CC3 | ( | const int32u | S | ) |

inline static

References From_CC3(), and Ztring().

## ToZtring_From_CC3() [3/3]

Ztring ZenLib::Ztring::ToZtring_From_CC3 | ( | const int8u * | S | ) |

inline static

References From_CC3(), and Ztring().

## ToZtring_From_CC4() [1/3]

Ztring ZenLib::Ztring::ToZtring_From_CC4 | ( | const char * | S | ) |

inline static

References From_CC4(), and Ztring().

## ToZtring_From_CC4() [2/3]

Ztring ZenLib::Ztring::ToZtring_From_CC4 | ( | const int32u | S | ) |

inline static

References From_CC4(), and Ztring().

## ToZtring_From_CC4() [3/3]

Ztring ZenLib::Ztring::ToZtring_From_CC4 | ( | const int8u * | S | ) |

inline static

References From_CC4(), and Ztring().

## ToZtring_From_Local() [1/4]

Ztring ZenLib::Ztring::ToZtring_From_Local | ( | const char * | S | ) |

inline static

References From_Local(), and Ztring().

## ToZtring_From_Local() [2/4]

Ztring ZenLib::Ztring::ToZtring_From_Local | ( | const char * | S,
|  | size_type | Length )

inline static

References From_Local(), and Ztring().

## ToZtring_From_Local() [3/4]

Ztring ZenLib::Ztring::ToZtring_From_Local | ( | const char * | S,
|  | size_type | Start,
|  | size_type | Length )

inline static

References From_Local(), and Ztring().

## ToZtring_From_Local() [4/4]

Ztring ZenLib::Ztring::ToZtring_From_Local | ( | const std::string & | S | ) |

inline static

References From_Local(), and Ztring().

## Trim()

Ztring & ZenLib::Ztring::Trim | ( | Char | ToTrim = __T(' ') | ) |

Remove leading and trailing whitespaces from a string.

References Ztring().

## TrimLeft()

Ztring & ZenLib::Ztring::TrimLeft | ( | Char | ToTrim = __T(' ') | ) |

Remove leading whitespaces from a string.

References Ztring().

## TrimRight()

Ztring & ZenLib::Ztring::TrimRight | ( | Char | ToTrim = __T(' ') | ) |

Remove trailing whitespaces from a string.

References Ztring().

The documentation for this class was generated from the following file:

- Ztring.h